Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Fix rb-fsevent dependency error #3

Closed
wants to merge 1 commit into from

2 participants

@kavu

niw/rb-fsevent has old version of the gem, so bundle install fails with an error. Here is the log for my OSX 10.7.3 https://gist.github.com/f17a72cf30147c9825a4. Changing dependency git repo url to the original thibaudgg's repo fixes problem, or we can just install rb-fsevent 0.9.1 from RubyGems.

@kavu kavu Fix rb-fsevent dependency error
niw/rb-fsevent has old version of the gem, so 
`bundle install` fails with an error. Here is the
log for my OSX 10.7.3 https://gist.github.com/f17a72cf30147c9825a4.
Changing dependency git repo url to the original 
thibaudgg's repo fixes problem, or we can just install
rb-fsevent 0.9.1 from RubyGems.
fbf3b3f
@svenfuchs
Owner

does this still work on lion though? there was a reason why i used the git repo but i don't quite remember what it was tbh.

@svenfuchs
Owner

@kavu nice work, btw, going through all these issues.

@kavu

If we use thibaudgg's original repo or gem from rubygems? Yes, all specs are passing, space is starting up and running, as i see. Also, there is RubyGems rb-fsevent dependency in gemspec, so, in fact space are using thibaudgg's gem :-)

@svenfuchs
Owner
@kavu kavu closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Apr 13, 2012
  1. @kavu

    Fix rb-fsevent dependency error

    kavu authored
    niw/rb-fsevent has old version of the gem, so 
    `bundle install` fails with an error. Here is the
    log for my OSX 10.7.3 https://gist.github.com/f17a72cf30147c9825a4.
    Changing dependency git repo url to the original 
    thibaudgg's repo fixes problem, or we can just install
    rb-fsevent 0.9.1 from RubyGems.
This page is out of date. Refresh to see the latest.
Showing with 14 additions and 7 deletions.
  1. +1 −1  Gemfile
  2. +13 −6 Gemfile.lock
View
2  Gemfile
@@ -2,7 +2,7 @@ source :rubygems
gemspec
-gem 'rb-fsevent', git: 'git://github.com/niw/rb-fsevent.git'
+gem 'rb-fsevent', git: 'git://github.com/thibaudgg/rb-fsevent.git'
group :test do
gem 'rake'
View
19 Gemfile.lock
@@ -1,8 +1,16 @@
GIT
- remote: git://github.com/niw/rb-fsevent.git
- revision: 8754b16bd3b880a60621e01b0f7792c009c8e8a7
+ remote: git://github.com/thibaudgg/rb-fsevent.git
+ revision: 63c552f0af8ac5a0bd025d34a49f60e6bcffb099
specs:
- rb-fsevent (0.4.3)
+ rb-fsevent (0.9.1)
+
+PATH
+ remote: .
+ specs:
+ space (0.0.9)
+ ansi (~> 1.4.2)
+ hashr (~> 0.0.20)
+ rb-fsevent
GEM
remote: http://rubygems.org/
@@ -15,7 +23,7 @@ GEM
thor (~> 0.14.6)
guard-rspec (0.7.0)
guard (>= 0.10.0)
- hashr (0.0.20)
+ hashr (0.0.21)
metaclass (0.0.1)
mocha (0.10.5)
metaclass (~> 0.0.1)
@@ -34,10 +42,9 @@ PLATFORMS
ruby
DEPENDENCIES
- ansi
guard-rspec
- hashr
mocha
rake
rb-fsevent!
rspec
+ space!
Something went wrong with that request. Please try again.